function onBegin()
	waitUntilOnGround()
	disableMovement()
	playMusic("event:/none")
	disableRetry()
	say("CC_cckids_NESgame")
	if choice("CC_cckids_NESgame_yes","CC_cckids_NESgame_no") == 1 then
		playSound("event:/CC/CCKids/CCKidsMusicEnd")
		wait(2)
		setFlag("specialTeleport",true)
		wait(3)
		onEnd()
		teleportTo(480,64,"special","Transition")
	else
		playMusic("event:/CC/CCKids/CCKidsMusic4")
		onEnd()
	end
end

function onEnd()
	enableMovement()
	enableRetry()
	setFlag("specialTeleport",false)
end